Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1193172 - [abrt] libvirt-daemon: virClassIsDerivedFrom(): libvirtd killed by SIGSEGV
Summary: [abrt] libvirt-daemon: virClassIsDerivedFrom(): libvirtd killed by SIGSEGV
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libvirt
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Libvirt Maintainers
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b7dd5434b32e472a78a5f79882e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-16 18:21 UTC by Pavel Grunt
Modified: 2016-01-21 17:46 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-21 17:46:56 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (42.41 KB, text/plain)
2015-02-16 18:21 UTC, Pavel Grunt
no flags Details
File: cgroup (196 bytes, text/plain)
2015-02-16 18:21 UTC, Pavel Grunt
no flags Details
File: core_backtrace (24.15 KB, text/plain)
2015-02-16 18:21 UTC, Pavel Grunt
no flags Details
File: dso_list (11.79 KB, text/plain)
2015-02-16 18:21 UTC, Pavel Grunt
no flags Details
File: environ (106 bytes, text/plain)
2015-02-16 18:21 UTC, Pavel Grunt
no flags Details
File: exploitable (82 bytes, text/plain)
2015-02-16 18:21 UTC, Pavel Grunt
no flags Details
File: limits (1.29 KB, text/plain)
2015-02-16 18:21 UTC, Pavel Grunt
no flags Details
File: maps (55.97 KB, text/plain)
2015-02-16 18:21 UTC, Pavel Grunt
no flags Details
File: open_fds (1.25 KB, text/plain)
2015-02-16 18:21 UTC, Pavel Grunt
no flags Details
File: proc_pid_status (1.05 KB, text/plain)
2015-02-16 18:21 UTC, Pavel Grunt
no flags Details
File: var_log_messages (70.21 KB, text/plain)
2015-02-16 18:21 UTC, Pavel Grunt
no flags Details

Description Pavel Grunt 2015-02-16 18:21:28 UTC
Description of problem:
libvirtd on source was killed when I was migrating a vm. The migration itself was successful.

How reproducible:
50%

Steps to Reproduce:
1. virsh migrate pgrunt-rhel6.5 qemu+ssh://<host>/system

Additional info:

2015-02-16 17:57:39.863+0000: 10509: info : libvirt version: 1.2.12, package: 2.fc22 (Fedora Project, 2015-02-03-14:17:38, buildvm-08.phx2.fedoraproject.org)
2015-02-16 17:57:39.863+0000: 10509: warning : virDomainMigrateVersion3Full:3253 : Guest pgrunt-rhel6.5 probably left in 'paused' state on source

Version-Release number of selected component:
libvirt-daemon-1.2.12-2.fc22

Additional info:
reporter:       libreport-2.3.0
backtrace_rating: 4
cmdline:        /usr/sbin/libvirtd
crash_function: virClassIsDerivedFrom
executable:     /usr/sbin/libvirtd
kernel:         3.20.0-0.rc0.git5.1.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 virClassIsDerivedFrom at util/virobject.c:169
 #1 virObjectIsClass at util/virobject.c:365
 #2 virObjectUnlock at util/virobject.c:338
 #3 virDomainObjListFindByUUIDInternal at conf/domain_conf.c:1073
 #4 virDomainObjListFindByUUIDRef at conf/domain_conf.c:1093
 #5 qemuDomObjFromDomain at qemu/qemu_driver.c:222
 #6 qemuDomainGetJobInfo at qemu/qemu_driver.c:12259
 #7 virDomainGetJobInfo at libvirt-domain.c:8659
 #8 remoteDispatchDomainGetJobInfo at remote_dispatch.h:4309
 #9 remoteDispatchDomainGetJobInfoHelper at remote_dispatch.h:4285

Potential duplicate: bug 1060461

Comment 1 Pavel Grunt 2015-02-16 18:21:32 UTC
Created attachment 992314 [details]
File: backtrace

Comment 2 Pavel Grunt 2015-02-16 18:21:34 UTC
Created attachment 992315 [details]
File: cgroup

Comment 3 Pavel Grunt 2015-02-16 18:21:35 UTC
Created attachment 992316 [details]
File: core_backtrace

Comment 4 Pavel Grunt 2015-02-16 18:21:37 UTC
Created attachment 992317 [details]
File: dso_list

Comment 5 Pavel Grunt 2015-02-16 18:21:39 UTC
Created attachment 992318 [details]
File: environ

Comment 6 Pavel Grunt 2015-02-16 18:21:40 UTC
Created attachment 992319 [details]
File: exploitable

Comment 7 Pavel Grunt 2015-02-16 18:21:42 UTC
Created attachment 992320 [details]
File: limits

Comment 8 Pavel Grunt 2015-02-16 18:21:44 UTC
Created attachment 992321 [details]
File: maps

Comment 9 Pavel Grunt 2015-02-16 18:21:45 UTC
Created attachment 992322 [details]
File: open_fds

Comment 10 Pavel Grunt 2015-02-16 18:21:47 UTC
Created attachment 992323 [details]
File: proc_pid_status

Comment 11 Pavel Grunt 2015-02-16 18:21:49 UTC
Created attachment 992324 [details]
File: var_log_messages

Comment 12 Ján Tomko 2015-02-17 09:57:46 UTC
Is this reproducible when you run the daemon on the source under valgrind? Seeing which function freed the object would be useful.
Was the domain transient or persistent?

Comment 13 Pavel Grunt 2015-02-18 16:01:40 UTC
The domain was transient. I don't know what changed but I am unable to reproduce it. Sorry for the noise.

Comment 14 Jan Kurik 2015-07-15 14:32:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 15 Cole Robinson 2016-01-21 17:46:56 UTC
There's only two hits of this particular crash in faf, and they both appear to be the reporter. Since it's no longer reproducible, closing


Note You need to log in before you can comment on or make changes to this bug.